Skip to main content
`Ctrl`+`K`

# PCFactorSetUpMatSolverType

Can be called after `KSPSetOperators()` or `PCSetOperators()`, causes `MatGetFactor()` to be called so then one may set the options for that particular factorization object.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFactorSetUpMatSolverType(PC pc)

## Input Parameter

- pc - the preconditioner context

## Note

After you have called this function (which has to be after the `KSPSetOperators()` or `PCSetOperators()`) you can call `PCFactorGetMatrix()` and then set factor options on that matrix. This function raises an error if the requested combination of solver package and matrix type is not supported.

## See Also

KSP: Linear System Solvers, `PCCHOLESKY`, `PCLU`, `PCFactorSetMatSolverType()`, `PCFactorGetMatrix()`

## Level

intermediate

## Location

src/ksp/pc/impls/factor/factor.c

## Examples

src/ksp/ksp/tutorials/ex52.c
src/ksp/ksp/tutorials/ex57f.F90
src/ksp/ksp/tutorials/ex52f.F90

## Implementations

PCFactorSetUpMatSolverType_Factor() in src/ksp/pc/impls/factor/factimpl.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages